Skip to navigation

Get campaign cost breakdown

Returns the total cost of a campaign’s calls with a per-call summary.

Authentication

AuthorizationBearer

Pass a JWT access token or an API key (prefixed with tif_live_) as a Bearer token.

Path parameters

campaignIdstringRequiredformat: "uuid"
Campaign ID

Response

Campaign cost breakdown
byCategorylist of objects
Cost breakdown by service category
callslist of objects

Per-call cost summaries

campaignIdstringformat: "uuid"
Campaign identifier
totalMicrocentslong
Total campaign cost in microcents
totalUsddouble
Total campaign cost in USD

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error